javax.swing.plaf.basic

## Class BasicMenuItemUI.MouseInputHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicMenuItemUI.MouseInputHandler

- All Implemented Interfaces:
    MouseListener, MouseMotionListener, EventListener, MouseInputListener
  Enclosing class:
    BasicMenuItemUI

      protected class BasicMenuItemUI.MouseInputHandler
      extends Object
      implements MouseInputListener

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `MouseInputHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `mouseClicked(MouseEvent e)` | Invoked when the mouse button has been clicked (pressed and released) on a component.
    `void` | `mouseDragged(MouseEvent e)` | Invoked when a mouse button is pressed on a component and then dragged.
    `void` | `mouseEntered(MouseEvent e)` | Invoked when the mouse enters a component.
    `void` | `mouseExited(MouseEvent e)` | Invoked when the mouse exits a component.
    `void` | `mouseMoved(MouseEvent e)` | Invoked when the mouse cursor has been moved onto a component but no buttons have been pushed.
    `void` | `mousePressed(MouseEvent e)` | Invoked when a mouse button has been pressed on a component.
    `void` | `mouseReleased(MouseEvent e)` | Invoked when a mouse button has been released on a component.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MouseInputHandler

          protected MouseInputHandler()

  - ### Method Detail

    - #### mouseClicked

          public void mouseClicked(MouseEvent e)

      Description copied from interface: `MouseListener`
      Invoked when the mouse button has been clicked (pressed and released) on a component.
      Specified by:
        `mouseClicked` in interface `MouseListener`

    - #### mousePressed

          public void mousePressed(MouseEvent e)

      Description copied from interface: `MouseListener`
      Invoked when a mouse button has been pressed on a component.
      Specified by:
        `mousePressed` in interface `MouseListener`

    - #### mouseReleased

          public void mouseReleased(MouseEvent e)

      Description copied from interface: `MouseListener`
      Invoked when a mouse button has been released on a component.
      Specified by:
        `mouseReleased` in interface `MouseListener`

    - #### mouseEntered

          public void mouseEntered(MouseEvent e)

      Description copied from interface: `MouseListener`
      Invoked when the mouse enters a component.
      Specified by:
        `mouseEntered` in interface `MouseListener`

    - #### mouseExited

          public void mouseExited(MouseEvent e)

      Description copied from interface: `MouseListener`
      Invoked when the mouse exits a component.
      Specified by:
        `mouseExited` in interface `MouseListener`

    - #### mouseDragged

          public void mouseDragged(MouseEvent e)

      Description copied from interface: `MouseMotionListener`
      Invoked when a mouse button is pressed on a component and then dragged. `MOUSE_DRAGGED` events will continue to be delivered to the component where the drag originated until the mouse button is released (regardless of whether the mouse position is within the bounds of the component).

      Due to platform-dependent Drag&Drop implementations, `MOUSE_DRAGGED` events may not be delivered during a native Drag&Drop operation.

      Specified by:
        `mouseDragged` in interface `MouseMotionListener`

    - #### mouseMoved

          public void mouseMoved(MouseEvent e)

      Description copied from interface: `MouseMotionListener`
      Invoked when the mouse cursor has been moved onto a component but no buttons have been pushed.
      Specified by:
        `mouseMoved` in interface `MouseMotionListener`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.